Subject: [NGC4LIB] Experiment with Extend Search

From: Weinheimer Jim <[email-masked]>
Date: Mon, 24 May 2010 09:51:47 +0200

Apologies for cross-posting.

I would like to share an experiment I have implemented using an Extend Search function attached to my local catalog, based on an open-source Koha catalog.

I won't give a history of the development of my Extend Search here (although I should write it down somewhere), but in essence, it has always been my opinion that since a well-made catalog record will help you find related materials within a specific catalog (using the heading structure), then with the WWW, the information in this same record should help you find related materials "elsewhere" on the web. With this in mind, a few years ago I implemented what I call the Extend Search within my own catalog as demonstrated in, e.g. http://www.galileo.aur.it/cgi-bin/koha/opac-detail.pl?bib=25893 (a record at random) where you can select or highlight any text and an Extend Search box pops up (javascript), where you can click on it and search in specific databases in specific ways (very simple php). When my users discover this option, understand what it does, and I describe its powers and limitations, they find it very useful and easy to do. In its current incarnation, I have manag!
 ed to make the Extend Search into a completely separate module from my catalog, except for adding a bit of javascript.

On another topic, I have written several times concerning my fears for libraries when the Google-Publisher agreement is implemented eventually. My fear is that there will be so much to work with on the Google-type sites (the millions of materials on Google Books and Scholar, plus I am sure there will be many new initiatives) that it will be very logical for our users to start with the Google tools. They will find so much there that they will go to the library resources less and less, although they will *actually" need librarians more and more.

I *may* have found the beginnings of a solution.

I have felt for a few years now, once I began to understand the possibilities of the newer browsers, that a solution could involve a browser plugin, but my experiments in this regard have been notably unsuccessful. I have worked quite a bit with the Hyperwords plugin for example, to recreate my Extend Search, but everything I have done has wound up a failure. A couple of days ago however, I got another idea: rather than recreate my Extend Search in Hyperwords, I could merge them. I believe this is a successful step forward, and in an amazingly simple and quick way, it brings the entire web under the control of my Extend Search. Whether it is ultimately successful or not is a matter of debate, but I find it very powerful. Not too many of my patrons have seen it yet, but so far everyone has liked using it and they especially like its simplicity, while one has even called it frightening(!). Of course, each library or institution, or whatever, could write its own.

It is completely open and anybody can use it. I have written a short procedure to implement this at: http://www.galileo.aur.it/opac-tmpl/npl/en/libweb/AURHyperwords.html. It only works on Firefox. Apparently if you are running Linux, you may have to save the file I created to your own machine to load it.

To understand the Extend Search feature in my catalog, please see the short discussion at: http://issuu.com/j.weinheimer/docs/extendingthesearch?mode=embed&viewMode=presentation&layout=http%3A%2F%2Fskin.issuu.com%2Fv%2Fcolor%2Flayout.xml&backgroundColor=61A900&showFlipBtn=true   

How could this be used? Each library or each discipline (whatever) could make its own Hyperwords links going to the tools and databases they select, e.g. a special set of links for Classics, or Renaissance Architecture, for Agriculture, Computer Science, or anything at all. So, a student who is researching Thucydides could load the Classics one from, e.g. the Warburg Institute, (if not a special "Thucydides" one!), then when working on another paper on Computer Science, load another special set from MIT, and so on and on. All these could be incorporated with local ones as well. Therefore, there would also be *many* possibilities for cooperation among librarians. 

As a practical example of how it could be used, a recent report discovered that students turn to course readings very heavily when they are doing their research. ("How College Students Seek Information in the Digital Age"
http://projectinfolit.org/pdfs/PIL_Fall2009_Year1Report_12_2009.pdf) When you implement this tool, the course readings can be used actively and easily, once the citations are online. For example, here are the readings for a course at MIT "American Soap Operas" and using this tool, the readings can be searched using my Extend Search very easily.
http://ocw.mit.edu/OcwWeb/Comparative-Media-Studies/CMS-603Spring-2008/ReadingsandViewings/index.htm   
I searched for Brown, Mary Ellen. "Motley Moments: Soap Operas, Carnival, Gossip and the Power of the Utterance." in the section Articles and Open Archives, and using Google Scholar, found 31 citations of it, plus lots of other things.

A new, better plugin similar to Hyperwords but made specially for libraries, could be the equivalent of the reference librarian, or the expert searcher, that our patrons could call on by simply selecting text or right-clicking or whatever, and they could choose from links to help screens, IM or Skype calls to reference librarians, to other selected databases, the possibilities are almost endless. And best of all, with a plugin, we would be *wherever the users would be*, that is: the moment they open their browsers. Even if they would go directly to Google Books, for example, they would only need to select text (or however) and the library would be there to help.

By the way, there are some amazing things you can do with the Hyperwords plugin right now. Look at: http://www.worldcat.org/title/aflam-al-misriyah-ka-masadir-lil-malumat-dirasah-fi-al-dabt-wa-al-hifz-wa-al-itahah/oclc/466857179, select the Arabic text, and in the Hyperwords menu, select Translate and then Arabic to English. I don't know how good the translation is since I don't know Arabic, but it's almost magic! 
I would appreciate comments on this. Is it useful? Naturally, I can imagine many, many areas of improvement. Thanks in advance!

Please share this with others who may be interested.

James Weinheimer  [email-masked]
Director of Library and Information Services
The American University of Rome
via Pietro Roselli, 4
00153 Rome, Italy
voice- 011 39 06 58330919 ext. 258
fax-011 39 06 58330992